Bug 195398 - [usb] add missing pci ID for Intel Lynx Point USB controller
Summary: [usb] add missing pci ID for Intel Lynx Point USB controller
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 02:38 UTC by Adrian Chadd
Modified: 2016-03-28 09:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Chadd freebsd_committer 2014-11-26 02:38:04 UTC
Index: sys/dev/usb/controller/ehci_pci.c
===================================================================
--- sys/dev/usb/controller/ehci_pci.c   (revision 274960)
+++ sys/dev/usb/controller/ehci_pci.c   (working copy)
@@ -164,6 +164,8 @@
                return ("Intel Lynx Point USB 2.0 controller USB-A");
        case 0x8c2d8086:
                return ("Intel Lynx Point USB 2.0 controller USB-B");
+       case 0x9c268086:
+               return ("Intel Lynx Point LP USB 2.0 controller USB");
 
        case 0x00e01033:
                return ("NEC uPD 720100 USB 2.0 controller");

This is the EHCI controller found in the Acer Chromebook C720.
Comment 1 commit-hook freebsd_committer 2014-11-26 20:35:05 UTC
A commit references this bug:

Author: adrian
Date: Wed Nov 26 20:34:05 UTC 2014
New revision: 275137
URL: https://svnweb.freebsd.org/changeset/base/275137

Log:
  Add PCI ID for Intel Lynx Point LP controller.

  PR:		kern/195398
  Submitted by:	grembo
  Obtained from:	DragonflyBSD
  MFC after:	1 week

Changes:
  head/sys/dev/usb/controller/ehci_pci.c
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2015-03-07 14:48:22 UTC
Committed as 275137.
Comment 3 commit-hook freebsd_committer 2016-03-28 09:25:12 UTC
A commit references this bug:

Author: mav
Date: Mon Mar 28 09:24:48 UTC 2016
New revision: 297339
URL: https://svnweb.freebsd.org/changeset/base/297339

Log:
  MFC r275137 (by adrian):  Add PCI ID for Intel Lynx Point LP controller.

  PR:		kern/195398

Changes:
_U  stable/10/
  stable/10/sys/dev/usb/controller/ehci_pci.c